diff --git a/src/app/qgisapp.cpp b/src/app/qgisapp.cpp
index 3d340ac..0f388b8 100644
--- a/src/app/qgisapp.cpp
+++ b/src/app/qgisapp.cpp
@@ -928,6 +928,12 @@ void QgisApp::createActions()
   connect( mActionCustomization, SIGNAL( triggered() ), this, SLOT( customize() ) );
 
 #ifdef Q_WS_MAC
+  // copy of Options action that gets moved to app Preferences...
+  mActionOptionsMac = new QAction( mActionOptions->text(), this );
+  mActionOptionsMac->setMenuRole( QAction::NoRole );
+  mActionOptionsMac->setIcon( mActionOptions->icon() );
+  connect( mActionOptionsMac, SIGNAL( triggered() ), this, SLOT( options() ) );
+
   // Window Menu Items
 
   mActionWindowMinimize = new QAction( tr( "Minimize" ), this );
@@ -1158,6 +1164,9 @@ void QgisApp::createMenus()
   }
 
 #ifdef Q_WS_MAC
+  // copy back the Options action after assigned to app Preferences...
+  mSettingsMenu->addAction( mActionOptionsMac );
+  
   // Window Menu
 
   mWindowMenu = menuBar()->addMenu( tr( "&Window" ) );
diff --git a/src/app/qgisapp.h b/src/app/qgisapp.h
index ba853fb..241972e 100644
--- a/src/app/qgisapp.h
+++ b/src/app/qgisapp.h
@@ -978,6 +978,7 @@ class QgisApp : public QMainWindow, private Ui::MainWindow
     // actions for menus and toolbars -----------------
 
 #ifdef Q_WS_MAC
+    QAction *mActionOptionsMac;
     QAction *mActionWindowMinimize;
     QAction *mActionWindowZoom;
     QAction *mActionWindowSeparator1;
diff --git a/src/ui/qgisapp.ui b/src/ui/qgisapp.ui
index 16514b8..762f32c 100644
--- a/src/ui/qgisapp.ui
+++ b/src/ui/qgisapp.ui
@@ -1378,6 +1378,9 @@
    <property name="text">
     <string>Configure shortcuts...</string>
    </property>
+   <property name="menuRole">
+    <enum>QAction::NoRole</enum>
+   </property>
   </action>
   <action name="mActionLocalHistogramStretch">
    <property name="icon">
